Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 601472 - dev-qt/qtwebengine-5.6.2 emerges despite unmet deps, but installs no files
Summary: dev-qt/qtwebengine-5.6.2 emerges despite unmet deps, but installs no files
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-02 19:26 UTC by Toralf Förster
Modified: 2017-06-24 02:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-12-02 19:26:45 UTC
Happened at 2 different tinderbox images, that emerge was made, but :



 * Package:    dev-qt/qtwebengine-5.6.2
 * Repository: gentoo
 * Maintainer: qt@gentoo.org
 * Upstream:   https://bugreports.qt.io/
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux system-ffmpeg system-icu userland_GNU widgets
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking qtwebengine-opensource-src-5.6.2.tar.xz to /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work
>>> Source unpacked in /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work
>>> Preparing source in /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work/qtwebengine-opensource-src-5.6.2 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work/qtwebengine-opensource-src-5.6.2 ...
 * Running qt5_qmake 
Info: creating cache file /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work/qtwebengine-opensource-src-5.6.2/.qmake.cache
Running configure tests
Checking for khr... yes
Checking for snappy... yes
Checking for srtp... no
System libwebp or libwebpdemux not found. Using Chromium's copies.
System jsoncpp not found. Using Chromium's copy.
System opus not found. Using Chromium's copy.
System vpx >= 1.4 not found. Using Chromium's copy.
System libsrtp not found. Using Chromium's copy.
Certificate handling.............. Using system NSS
ICU............................... Using system version
FFMPEG............................ System FFMPEG not found
Proprietary codecs (H264, MP3).... Enabled
Geolocation....................... Not enabled         (Requires Qt Positioning module)
 
Unmet dependencies: libavcodec, libavformat, libavutil
QtWebEngine will not be built.
>>> Source configured.
>>> Compiling source in /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work/qtwebengine-opensource-src-5.6.2 ...
 * Running emake 
make -j1 
make: Nothing to be done for 'first'.
>>> Source compiled.
 * Skipping make test/check due to ebuild restriction.
>>> Test phase [disabled because of RESTRICT=test]: dev-qt/qtwebengine-5.6.2

>>> Install qtwebengine-5.6.2 into /var/tmp/portage/dev-qt/qtwebengine-5.6.2/image/ category dev-qt
 * Running emake INSTALL_ROOT=/var/tmp/portage/dev-qt/qtwebengine-5.6.2/image/ install 
make -j1 INSTALL_ROOT=/var/tmp/portage/dev-qt/qtwebengine-5.6.2/image/ install 
make: Nothing to be done for 'install'.
>>> Completed installing qtwebengine-5.6.2 into /var/tmp/portage/dev-qt/qtwebengine-5.6.2/image/

 * Final size of build directory: 931808 KiB
 * Final size of installed tree: 0 KiB

 * checking 0 files for package collisions
>>> Merging dev-qt/qtwebengine-5.6.2 to /
 * Regenerating gentoo-qconfig.h
 * Updating QT_CONFIG in qconfig.pri
>>> dev-qt/qtwebengine-5.6.2 merged.
>>> Regenerating /etc/ld.so.cache...
Comment 1 Toralf Förster gentoo-dev 2016-12-05 13:44:37 UTC
Here's the info from amd64-plasma-unstable_20161129-163342 where I do have :

amd64-plasma-unstable_20161129-163342/var/log/emerge.log
Thu Dec  1 18:45:25 2016 >>> dev-qt/qtwebengine-5.6.2
qtwebengine: Thu Dec  1 18:44:47 2016: 38 seconds
qtwebengine: 1 times                                                                                    
mr-fox / # emerge --info --verbose=n dev-qt/qtwebengine
Portage 2.3.2 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-5.4.0, glibc-2.23-r3, 4.8.11-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.11-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285560 total,   5984136 free
KiB Swap:   67108860 total,  67088552 free
Timestamp of repository gentoo: Mon, 05 Dec 2016 10:45:15 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.4_p5-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.7.1::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.27::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.8::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

tinderbox
    location: /tmp/tb/data/portage
    masters: gentoo
    priority: 2

local
    location: /usr/local/portage
    masters: gentoo
    priority: 3

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /opt/openfire/resources/security/ /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.3/conf /usr/share/qpsmtpd/plugins /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb /var/rancid/.cloginrc /var/yp/Makefile"
CONFIG_PROTECT_MASK="/etc/angband/gamedata/ /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr ecc egl emacs emboss encode exif extraengine fam firefox flac fortran ftp gdbm gif glamor gles gpm gtk iconv introspection ipv6 jpeg kde kipi lcms ldap libkms libnotify mad mdnsresponder-compat mmx mmxext mng modules mp3 mp4 mpeg multilib ncurses networking nls nptl nscd ogg opengl openmp pam pango pax_kernel pcre pdf phonon plasma png policykit ppds qml qt3support qt4 qt5 readline sdl seccomp semantic-desktop session smpeg sockets spell sse sse2 ssh-askpass ssl ssp startup-notification svg tcpd tiff truetype udev udisks unicode upower usb v4l vorbis widgets wxwidgets x264 xattr xcb xcomposite xinerama xml xscreensaver xtpax xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="chr dz es es-CL ja tk" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

dev-qt/qtwebengine-5.6.2::gentoo was built with the following:
USE="system-ffmpeg system-icu widgets -bindist -debug -geolocation -test" ABI_X86="64"
Comment 2 Toralf Förster gentoo-dev 2016-12-05 13:46:12 UTC
tinderbox@mr-fox ~ $ cat /tmp/dev-qt:qtwebengine-5.6.2:20161201-174446.log
 * Package:    dev-qt/qtwebengine-5.6.2
 * Repository: gentoo
 * Maintainer: qt@gentoo.org
 * Upstream:   https://bugreports.qt.io/
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux system-ffmpeg system-icu userland_GNU widgets
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking qtwebengine-opensource-src-5.6.2.tar.xz to /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work
>>> Source unpacked in /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work
>>> Preparing source in /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work/qtwebengine-opensource-src-5.6.2 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work/qtwebengine-opensource-src-5.6.2 ...
 * Running qt5_qmake 
Info: creating cache file /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work/qtwebengine-opensource-src-5.6.2/.qmake.cache
Running configure tests
Checking for khr... yes
Checking for snappy... yes
Checking for srtp... no
System libwebp or libwebpdemux not found. Using Chromium's copies.
System jsoncpp not found. Using Chromium's copy.
System opus not found. Using Chromium's copy.
System vpx >= 1.4 not found. Using Chromium's copy.
System libsrtp not found. Using Chromium's copy.
Certificate handling.............. Using system NSS
ICU............................... Using system version
FFMPEG............................ System FFMPEG not found
Proprietary codecs (H264, MP3).... Enabled
Geolocation....................... Not enabled         (Requires Qt Positioning module)
 
Unmet dependencies: libavcodec, libavformat, libavutil
QtWebEngine will not be built.
>>> Source configured.
>>> Compiling source in /var/tmp/portage/dev-qt/qtwebengine-5.6.2/work/qtwebengine-opensource-src-5.6.2 ...
 * Running emake 
make -j1 
make: Nothing to be done for 'first'.
>>> Source compiled.
 * Skipping make test/check due to ebuild restriction.
>>> Test phase [disabled because of RESTRICT=test]: dev-qt/qtwebengine-5.6.2

>>> Install qtwebengine-5.6.2 into /var/tmp/portage/dev-qt/qtwebengine-5.6.2/image/ category dev-qt
 * Running emake INSTALL_ROOT=/var/tmp/portage/dev-qt/qtwebengine-5.6.2/image/ install 
make -j1 INSTALL_ROOT=/var/tmp/portage/dev-qt/qtwebengine-5.6.2/image/ install 
make: Nothing to be done for 'install'.
>>> Completed installing qtwebengine-5.6.2 into /var/tmp/portage/dev-qt/qtwebengine-5.6.2/image/

 * Final size of build directory: 931808 KiB
 * Final size of installed tree: 0 KiB

 * checking 0 files for package collisions
>>> Merging dev-qt/qtwebengine-5.6.2 to /
 * Regenerating gentoo-qconfig.h
 * Updating QT_CONFIG in qconfig.pri
>>> dev-qt/qtwebengine-5.6.2 merged.
>>> Regenerating /etc/ld.so.cache...
Comment 3 Haelwenn Monnier 2017-02-08 04:22:11 UTC
Seems to be a dependency problem.
``FFMPEG............................ System FFMPEG not found``
``Unmet dependencies: libavcodec, libavformat, libavutil``

Do you have ffmpeg installed? (should be because the system-ffmpeg flag is enabled) (if yes can you put ffmpeg’s USE flags)
Comment 4 Toralf Förster gentoo-dev 2017-02-08 17:11:15 UTC
=================================================================
                        Package Settings
=================================================================

media-video/ffmpeg-3.2.2::gentoo was built with the following:
USE="X alsa bzip2 encode gpl hardcoded-tables iconv mp3 network opengl postproc sdl threads truetype v4l vorbis x264 xcb xvid zlib (-altivec) -amr -amrenc (-armv5te) (-armv6) (-armv6t2) (-armvfp) -bluray -bs2b -cdio -celt -chromaprint -cpudetection -debug -doc -ebur128 -fdk -flite -fontconfig -frei0r -fribidi -gcrypt -gme -gmp -gnutls -gsm -iec61883 -ieee1394 -jack -jpeg2k -kvazaar -ladspa -libass -libcaca -libilbc -librtmp -libsoxr -libv4l -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -modplug (-neon) -nvenc -openal -openh264 -openssl -opus -oss -pic -pulseaudio -rubberband -samba -schroedinger -snappy -speex -ssh -static-libs -test -theora -twolame -vaapi -vdpau -vpx -wavpack -webp -x265 -zimg -zvbi" ABI_X86="64 -32 -x32" CPU_FLAGS_X86="aes avx mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3 -3dnow -3dnowext -avx2 -fma3 -fma4 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher"
CFLAGS="-march=native -O2 -pipe"
Comment 5 Michael Palimaka (kensington) gentoo-dev 2017-06-18 08:04:35 UTC
I *think* this was an ffmpeg incompatibility that was since fixed.

However, to prevent a similar problem in the future, I've added a check like qtwebkit:
https://gitweb.gentoo.org/proj/qt.git/commit/?id=8b3bc585d4be74d428d0419dd7b4b55ff2e41e28
Comment 6 Michael Palimaka (kensington) gentoo-dev 2017-06-24 02:30:33 UTC
Thanks, fixed in git.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f0d04eababcfbe4d723332b492a0404fb1591f0